OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.NV.GeometryProgram4

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetNVGeometryProgram4 :: MonadIO m => m Bool
- gl_NV_geometry_program4 :: Bool
- pattern GL_FRAMEBUFFER_ATTACHMENT_LAYERED_EXT :: GLenum
- pattern GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LAYER_EXT :: GLenum
- pattern GL_FRAMEBUFFER_INCOMPLETE_LAYER_COUNT_EXT :: GLenum
- pattern GL_FRAMEBUFFER_INCOMPLETE_LAYER_TARGETS_EXT :: GLenum
- pattern GL_GEOMETRY_INPUT_TYPE_EXT :: GLenum
- pattern GL_GEOMETRY_OUTPUT_TYPE_EXT :: GLenum
- pattern GL_GEOMETRY_PROGRAM_NV :: GLenum
- pattern GL_GEOMETRY_VERTICES_OUT_EXT :: GLenum
- pattern GL_LINES_ADJACENCY_EXT :: GLenum
- pattern GL_LINE_STRIP_ADJACENCY_EXT :: GLenum
- pattern GL_MAX_GEOMETRY_TEXTURE_IMAGE_UNITS_EXT :: GLenum
- pattern GL_MAX_PROGRAM_OUTPUT_VERTICES_NV :: GLenum
- pattern GL_MAX_PROGRAM_TOTAL_OUTPUT_COMPONENTS_NV :: GLenum
- pattern GL_PROGRAM_POINT_SIZE_EXT :: GLenum
- pattern GL_TRIANGLES_ADJACENCY_EXT :: GLenum
- pattern GL_TRIANGLE_STRIP_ADJACENCY_EXT :: GLenum
- glFramebufferTextureEXT :: MonadIO m => GLenum -> GLenum -> GLuint -> GLint -> m ()
- glFramebufferTextureFaceEXT :: MonadIO m => GLenum -> GLenum -> GLuint -> GLint -> GLenum -> m ()
- glFramebufferTextureLayerEXT :: MonadIO m => GLenum -> GLenum -> GLuint -> GLint -> GLint -> m ()
- glProgramVertexLimitNV :: MonadIO m => GLenum -> GLint -> m ()

# Extension Support

glGetNVGeometryProgram4 :: MonadIO m => m Bool Source #

Is the NV_geometry_program4 extension supported?

gl_NV_geometry_program4 :: Bool Source #

Is the NV_geometry_program4 extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetNVGeometryProgram4` in those cases instead.

# Enums

pattern GL_FRAMEBUFFER_ATTACHMENT_LAYERED_EXT :: GLenum Source #

pattern GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LAYER_EXT :: GLenum Source #

pattern GL_FRAMEBUFFER_INCOMPLETE_LAYER_COUNT_EXT :: GLenum Source #

pattern GL_FRAMEBUFFER_INCOMPLETE_LAYER_TARGETS_EXT :: GLenum Source #

pattern GL_GEOMETRY_INPUT_TYPE_EXT :: GLenum Source #

pattern GL_GEOMETRY_OUTPUT_TYPE_EXT :: GLenum Source #

pattern GL_GEOMETRY_PROGRAM_NV :: GLenum Source #

pattern GL_GEOMETRY_VERTICES_OUT_EXT :: GLenum Source #

pattern GL_LINES_ADJACENCY_EXT :: GLenum Source #

pattern GL_LINE_STRIP_ADJACENCY_EXT :: GLenum Source #

pattern GL_MAX_GEOMETRY_TEXTURE_IMAGE_UNITS_EXT :: GLenum Source #

pattern GL_MAX_PROGRAM_OUTPUT_VERTICES_NV :: GLenum Source #

pattern GL_MAX_PROGRAM_TOTAL_OUTPUT_COMPONENTS_NV :: GLenum Source #

pattern GL_PROGRAM_POINT_SIZE_EXT :: GLenum Source #

pattern GL_TRIANGLES_ADJACENCY_EXT :: GLenum Source #

pattern GL_TRIANGLE_STRIP_ADJACENCY_EXT :: GLenum Source #

# Functions

glFramebufferTextureEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type FramebufferTarget.
-> GLenum | `attachment` of type FramebufferAttachment.
-> GLuint | `texture` of type `Texture`.
-> GLint | `level` of type `CheckedInt32`.
-> m () |

This command is an alias for `glFramebufferTexture`.

glFramebufferTextureFaceEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type FramebufferTarget.
-> GLenum | `attachment` of type FramebufferAttachment.
-> GLuint | `texture` of type `Texture`.
-> GLint | `level` of type `CheckedInt32`.
-> GLenum | `face` of type TextureTarget.
-> m () |

This command is an alias for `glFramebufferTextureFaceARB`.

glFramebufferTextureLayerEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type FramebufferTarget.
-> GLenum | `attachment` of type FramebufferAttachment.
-> GLuint | `texture` of type `Texture`.
-> GLint | `level` of type `CheckedInt32`.
-> GLint | `layer` of type `CheckedInt32`.
-> m () |

This command is an alias for `glFramebufferTextureLayer`.

glProgramVertexLimitNV Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type ProgramTarget.
-> GLint | `limit`.
-> m () |